DSA_SIG_new(3SSL)

NAME
DSA_SIG_new, DSA_SIG_free - allocate and free DSA signature objects

SYNOPSIS
 #include <openssl/dsa.h>

 DSA_SIG *DSA_SIG_new(void);

 void   DSA_SIG_free(DSA_SIG *a);

DESCRIPTION
DSA_SIG_new() allocates and initializes a DSA_SIG structure.

DSA_SIG_free() frees the DSA_SIG structure and its components. The values are erased before the memory is returned to the system.

RETURN VALUES
If the allocation fails, DSA_SIG_new() returns NULL and sets an error code that can be obtained by ERR_get_error(3). Otherwise it returns a pointer to the newly allocated structure.

DSA_SIG_free() returns no value.

SEE ALSO
dsa(3), ERR_get_error(3), DSA_do_sign(3)

HISTORY
DSA_SIG_new() and DSA_SIG_free() were added in OpenSSL 0.9.3.